Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate Class Reference

Parser for VersionUpdate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate:

## Public Member Functions
| __construct (ContentService $contentService, FieldTypeParser $fieldTypeParser)
| Construct from content service. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $contentService
| $fieldTypeParser
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for VersionUpdate.

Definition at line 18 of file Server/Input/Parser/VersionUpdate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate::__construct | ( | ContentService | $contentService,
|  | FieldTypeParser | $fieldTypeParser
| ) |  |

Construct from content service.

Parameters

  \eZ\Publish\API\Repository\ContentService | $contentService |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |

Definition at line 40 of file Server/Input/Parser/VersionUpdate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate\$contentService, and eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate\$fieldTypeParser.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentUpdateStruct

Definition at line 54 of file Server/Input/Parser/VersionUpdate.php.

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate::$contentService
| protected

Definition at line 25 of file Server/Input/Parser/VersionUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate\__construct().

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate::$fieldTypeParser
| protected

Definition at line 32 of file Server/Input/Parser/VersionUpdate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\VersionUpdate\__construct().

The documentation for this class was generated from the following file:

- Server/Input/Parser/VersionUpdate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.